Skip to main content
`Ctrl`+`K`

# TAOASFLS

Active-set feasible linesearch algorithm for solving complementarity constraints

## Options Database Keys

- -tao_ssls_delta - descent test fraction

- -tao_ssls_rho - descent test power

## Note

See [Bil95], [DeLucaFK96], [FKM99], [Fis92], and [MFF+01].

## References

[Bil95]

S. C. Billups. Algorithms for Complementarity Problems and Generalized Equations. PhD thesis, University of Wisconsin–Madison, Madison, Wisconsin, August 1995.

[FKM99]

M. C. Ferris, C. Kanzow, and T. S. Munson. Feasible descent algorithms for mixed complementarity problems. Mathematical Programming, 86:475–497, 1999. URL: ftp://ftp.cs.wisc.edu/math-prog/tech-reports/98-04.ps.

[Fis92]

A. Fischer. A special Newton–type optimization method. Optimization, 24:269–284, 1992.

[MFF+01]

T. S. Munson, F. Facchinei, M. C. Ferris, A. Fischer, and C. Kanzow. The semismooth algorithm for large scale complementarity problems. INFORMS Journal on Computing, 2001.

[DeLucaFK96]

T. De Luca, F. Facchinei, and C. Kanzow. A semismooth equation approach to the solution of nonlinear complementarity problems. Mathematical Programming, 75:407–439, 1996.

## See Also

`Tao`, `TaoType`, `TAOASILS`

## Level

beginner

## Location

src/tao/complementarity/impls/asls/asfls.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages